Imports System.IO
Imports System.Threading
Imports System.Globalization

Module Form1

    ReadOnly startup As String = AppContext.BaseDirectory 'Application.StartupPath
    ReadOnly intDirAT As String = "\\atdotrsr23\PSX\SAP-DB\1000\"
    ReadOnly intDirCH As String = "\\atdotrsr23\PSX\SAP-DB\1400\"
    ReadOnly intDirUK As String = "\\atdotrsr23\PSX\SAP-DB\3310\"
    ReadOnly intDirCN As String = "\\atdotrsr23\PSX\SAP-DB\9000\"
    ReadOnly localPath As String = "\\atdotrsr23\PSX\SAP-DB\"
    ReadOnly fNameAT As String = intDirAT & "componentlist_1000.txt"
    ReadOnly fNameCH As String = intDirCH & "componentlist_1400.txt"
    ReadOnly fNameUK As String = intDirUK & "componentlist_3310.txt"
    ReadOnly fNameCN As String = intDirCN & "componentlist_9000.txt"
    ReadOnly dbfNameAT As String = "componentlist_1000.mdb"
    ReadOnly dbfNameCH As String = "componentlist_1400.mdb"
    ReadOnly dbfNameUK As String = "componentlist_3310.mdb"
    ReadOnly dbfNameCN As String = "componentlist_9000.mdb"
    ReadOnly fNameFinalAT As String = localPath & "FinalAT.txt"
    ReadOnly fNameFinalCH As String = localPath & "FinalCH.txt"
    ReadOnly fNameFinalUK As String = localPath & "FinalUK.txt"
    ReadOnly fNameFinalCN As String = localPath & "FinalCN.txt"
    ReadOnly protFileAT As String = localPath & "Protocol_AT.txt"
    ReadOnly protFileCH As String = localPath & "Protocol_CH.txt"
    ReadOnly protFileUK As String = localPath & "Protocol_UK.txt"
    ReadOnly protFileCN As String = localPath & "Protocol_CN.txt"
    Dim writer As StreamWriter
    Dim fname As String
    Dim intDir As String
    Dim dbfname As String
    Dim protfile As String

    Sub Form1()
        'MessageBox.Show(MyString)
        ' Sets the culture to German (German)
        Thread.CurrentThread.CurrentCulture = New CultureInfo("de-DE")
        ' Sets the UI culture to German (German)
        Thread.CurrentThread.CurrentUICulture = New CultureInfo("de-DE")
        'MessageBox.Show(MyString)

        If File.Exists(fNameFinalAT) Then
            File.Delete(fNameFinalAT)
        End If
        If File.Exists(fNameFinalCH) Then
            File.Delete(fNameFinalCH)
        End If
        If File.Exists(fNameFinalUK) Then
            File.Delete(fNameFinalUK)
        End If
        If File.Exists(fNameFinalCN) Then
            File.Delete(fNameFinalCN)
        End If
        FileSystem.FileCopy(fNameAT, fNameFinalAT)
        FileSystem.FileCopy(fNameCH, fNameFinalCH)
        FileSystem.FileCopy(fNameUK, fNameFinalUK)
        FileSystem.FileCopy(fNameCN, fNameFinalCN)

        ' generating MDB for site AT
        fname = fNameFinalAT
        intDir = intDirAT
        dbfname = dbfNameAT
        protfile = protFileAT
        GenMDB()

        ' generating MDB for site CH
        fname = fNameFinalCH
        intDir = intDirCH
        dbfname = dbfNameCH
        protfile = protFileCH
        GenMDB()

        ' generating MDB for site UK
        fname = fNameFinalUK
        intDir = intDirUK
        dbfname = dbfNameUK
        protfile = protFileUK
        GenMDB()

        ' generating MDB for site CN
        fname = fNameFinalCN
        intDir = intDirCN
        dbfname = dbfNameCN
        protfile = protFileCN
        GenMDB()

        FileClose()

    End Sub
    Sub GenMDB()

        Dim ta As New_DB_ConvertDataSetTableAdapters.DBConvertTableAdapter
        Dim s() As String
        Dim cont As String
        Dim line() As String
        Dim i As Integer
        Dim t As Integer = 0
        Dim StartTime As DateTime
        Dim StopTime As DateTime
        Dim Duration As TimeSpan

        ta.DeleteQuery()
        StartTime = DateTime.Now
        i = 0

        Using reader = New StreamReader(fname)

            cont = reader.ReadToEnd
            cont = Replace(cont, Chr(34), "")
            line = Split(cont, vbCrLf)
        End Using

        For counter = 1 To line.Length - 1
            i += 1
            t += 1
            Debug.Print(t)
            s = line(counter).Split(";"c)
            If s.Length > 0 Then
                Try
                    ta.Insert(s(0), s(1), s(2), s(3), s(4), s(5), s(6), s(7), s(8), s(9))
                Catch ex As Exception
                    'MessageBox.Show(ex.Message)
                    'MessageBox.Show(i)
                End Try
            End If
        Next
        FileSystem.FileCopy(startup & "\DB-Convert.mdb", intDir & dbfname)

        writer = New StreamWriter(protfile)
        StopTime = DateTime.Now
        Duration = StopTime.Subtract(StartTime)
        writer.Write(i & " rows in database written" & vbCrLf & "Starting Time: " & StartTime.ToString & vbCrLf & "Ending Time: " & StopTime.ToString & vbCrLf & "Duration Time: " & Duration.ToString)
        writer.Close()
        writer = Nothing
    End Sub
End Module